- block:
  - name: create docker secret, yml format
    community.docker.docker_secret:
      name: "{{ secret_name }}"
      data: "{{ secret_content | to_nice_yaml }}"

  - debug:
      var: secret_name

  - name: create file with the secret
    ansible.builtin.copy:
      dest: "{{ accesswebservice_dir + '/' + accesswebservice_login + '-key.yml' }}" 
      content: "{{ secret_content | to_nice_yaml }}"
    when: accesswebservice_create_file | default(False)
  
  vars:
    secret_name: "{{ accesswebservice_secret_prefix + '-' + accesswebservice_login }}"
    secret_content:
      service_id: "{{ accesswebservice_login }}"
      service_key: "{{ lookup('password', '/dev/null length=16 chars=ascii_letters,digits') }}"
      acl: "{{ accesswebservice_acl }}"
 
 